List leads
curl --request GET \
--url https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"items": [
{
"canDm": true,
"followers": 123,
"following": 123,
"tweets": 123,
"createdAt": "2023-11-07T05:31:56Z",
"verified": "<string>",
"isVerified": true,
"isBlueVerified": true,
"profileType": "<string>",
"degree": 123,
"isPremium": true,
"headline": "<string>",
"currentCompany": "<string>",
"industry": "<string>",
"positions": [
"<unknown>"
],
"careerStartedOn": "<string>",
"experience": {},
"seniority": "<string>",
"education": [
"<unknown>"
],
"skills": [
"<unknown>"
],
"languages": [
"<unknown>"
],
"certifications": [
"<unknown>"
],
"id": "<string>",
"platform": "linkedin",
"leadListId": "<string>",
"accountId": "<string>",
"origin": {},
"leadListIds": [
"<string>"
],
"accountIds": [
"<unknown>"
],
"origins": [
"<unknown>"
],
"favorite": true,
"statusId": "<string>",
"valuation": 123,
"hasNote": true,
"labels": [
{
"id": "7c1f0c52-6d1a-4a49-9a63-2b3c4d5e6f70",
"label": "Hot lead",
"color": "#e24c5d"
}
],
"platformId": "<string>",
"handle": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"coverUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"profileUrl": "<string>",
"websiteUrl": "<string>"
}
],
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"summary": {
"status": "<string>",
"profiles": 123,
"reachable": 123,
"totalCount": 123,
"syncBatch": 123,
"syncError": "<string>",
"platform": "<string>"
},
"filter": {
"matched": 123,
"reachable": 123
}
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Lead lists
List leads
Returns the people in a lead list.
GET
/
leads
/
{leadListId}
/
prospects
List leads
curl --request GET \
--url https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/leads/{leadListId}/prospects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"items": [
{
"canDm": true,
"followers": 123,
"following": 123,
"tweets": 123,
"createdAt": "2023-11-07T05:31:56Z",
"verified": "<string>",
"isVerified": true,
"isBlueVerified": true,
"profileType": "<string>",
"degree": 123,
"isPremium": true,
"headline": "<string>",
"currentCompany": "<string>",
"industry": "<string>",
"positions": [
"<unknown>"
],
"careerStartedOn": "<string>",
"experience": {},
"seniority": "<string>",
"education": [
"<unknown>"
],
"skills": [
"<unknown>"
],
"languages": [
"<unknown>"
],
"certifications": [
"<unknown>"
],
"id": "<string>",
"platform": "linkedin",
"leadListId": "<string>",
"accountId": "<string>",
"origin": {},
"leadListIds": [
"<string>"
],
"accountIds": [
"<unknown>"
],
"origins": [
"<unknown>"
],
"favorite": true,
"statusId": "<string>",
"valuation": 123,
"hasNote": true,
"labels": [
{
"id": "7c1f0c52-6d1a-4a49-9a63-2b3c4d5e6f70",
"label": "Hot lead",
"color": "#e24c5d"
}
],
"platformId": "<string>",
"handle": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"coverUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"profileUrl": "<string>",
"websiteUrl": "<string>"
}
],
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"summary": {
"status": "<string>",
"profiles": 123,
"reachable": 123,
"totalCount": 123,
"syncBatch": 123,
"syncError": "<string>",
"platform": "<string>"
},
"filter": {
"matched": 123,
"reachable": 123
}
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Path Parameters
The lead list ID.
Query Parameters
Text to look for in the name, handle or headline.
Only leads with this tag ID. Repeat for several.
The page to return, starting at 1.
Required range:
x >= 1How many items to return, from 1 to 100. Defaults to 50.
Required range:
1 <= x <= 100